Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
Kafka >> mail # dev >> Issue in kafka dependency


Copy link to this message
-
Re: Issue in kafka dependency
Unfortunately can't say what is exactly wrong with your pom (you changed
clojure plugin version and some other things by the way), but adding the
following section to the original storm-starter
pom<https://github.com/nathanmarz/storm-starter/blob/master/m2-pom.xml>works
fine

<dependency>
            <groupId>org.apache.kafka</groupId>
            <artifactId>kafka_2.10</artifactId>
            <version>0.8.0</version>

            <exclusions>
                <!-- https://issues.apache.org/jira/browse/KAFKA-1160 -->
                <exclusion>
                    <groupId>com.sun.jdmk</groupId>
                    <artifactId>jmxtools</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.sun.jmx</groupId>
                    <artifactId>jmxri</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
2013/12/18 padma priya chitturi <[EMAIL PROTECTED]>

> Yeah sure... i have attached the pom.xml. storm-starter is my project. In
> fact it is storm project. Hence certain dependencies are relate to storm.
> Ans i have included kafka's too since my code contains both storm and kafka
> API.
>
> --Padma Ch
>
>
> On Wed, Dec 18, 2013 at 12:51 PM, Kostya Golikov <[EMAIL PROTECTED]>wrote:
>
>> Can you show us resulting pom? As far as I can judge, there is no
>> storm-starter in kafka dependencies, unless it is somehow transitive.
>>
>>
>> 2013/12/18 padma priya chitturi <[EMAIL PROTECTED]>
>>
>> > Hi All,
>> >
>> > I am using kafka 0.8.0-beta1 on windows. In the maven project i included
>> > kafka dependencies from
>> > (
>> >
>> >
>> http://repo1.maven.org/maven2/org/apache/kafka/kafka_2.8.0/0.8.0-beta1/kafka_2.8.0-0.8.0-beta1.pom
>> > ).
>> > However the maven copilation is throwing the below error:
>> >
>> > Failed to execute goal
>> > com.theoryinpractise:clojure-maven-plugin:1.3.8:compile (compile) on
>> > project storm-starter: Clojure failed.
>> >
>> > Can someone help me in this ?
>> >
>> > Regards,
>> > Padma Ch.
>> >
>>
>
>